Juniper Networks SRX320 Services Gateway with JUNOS 17.4R1-S1

Certificate details

Certificate ID #3539
Status historical
Historical reason SP 800-56Arev3 transition
Validation dates 30.09.2019
Standard FIPS 140-2
Security level 1
Type Hardware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode
Exceptions
  • Roles, Services, and Authentication: Level 3
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description The Juniper Networks SRX Series Services Gateways are a series of secure routers that provide essential capabilities to connect, secure, and manage work force locations sized from handfuls to hundreds of users. By consolidating fast, highly available switching, routing, security, and applications capabilities in a single device, enterprises can economically deliver new services, safe connectivity, and a satisfying end user experience.
Version (Hardware) SRX320
Version (Firmware) JUNOS 17.4R1-S1
Vendor Juniper Networks, Inc. http://www.juniper.net
Lab BAE SYSTEMS APPLIED INTELLIGENCE
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, CAST, Triple-DES, TDEA, Blowfish, HMAC, HMAC-SHA-256
Asymmetric Algorithms
RSA 2048, ECDSA, Diffie-Hellman, DH, DSA
Hash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5
Schemes
Key Exchange, Key agreement, AEAD
Protocols
SSH, SSHv2, SSL, IKE, IKEv2, IKEv1, IPsec
Randomness
DRBG, RNG
Libraries
OpenSSL
Elliptic Curves
P-256, P-384
Block cipher modes
CBC, CTR, GCM

Security level
Level 2

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3539,
  "dgst": "e07aa27bdc1026c9",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "Triple-DES#2697",
        "KTS#3534",
        "AES#5337",
        "Triple-DES#2694",
        "#2894",
        "RSA#2894",
        "#2697",
        "ECDSA#1422",
        "CVL#1848",
        "HMAC#3567",
        "#5334",
        "#2880",
        "#1435",
        "#4287",
        "#1799",
        "SHS#4284",
        "#3534",
        "#5386",
        "#1848",
        "CVL#1799",
        "SHS#4320",
        "#3567",
        "#4288",
        "RSA#2880",
        "KTS#2697",
        "#3530",
        "SHS#4288",
        "#2060",
        "#2713",
        "#4284",
        "#2694",
        "Triple-DES#2713",
        "ECDSA#1435",
        "AES#5334",
        "KTS#2713",
        "DRBG#2060",
        "#1422",
        "#4320",
        "AES#5386",
        "KTS#3567",
        "#5337",
        "HMAC#3530",
        "SHS#4287",
        "HMAC#3534"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "17.4"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 44,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDSA": {
            "ECDSA": 28
          }
        },
        "FF": {
          "DH": {
            "DH": 3,
            "Diffie-Hellman": 32
          },
          "DSA": {
            "DSA": 2
          }
        },
        "RSA": {
          "RSA 2048": 8
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 13
        },
        "CTR": {
          "CTR": 2
        },
        "GCM": {
          "GCM": 10
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 5
        }
      },
      "crypto_protocol": {
        "IKE": {
          "IKE": 25,
          "IKEv1": 7,
          "IKEv2": 11
        },
        "IPsec": {
          "IPsec": 21
        },
        "SSH": {
          "SSH": 37,
          "SSHv2": 4
        },
        "TLS": {
          "SSL": {
            "SSL": 1
          }
        }
      },
      "crypto_scheme": {
        "AEAD": {
          "AEAD": 2
        },
        "KA": {
          "Key agreement": 2
        },
        "KEX": {
          "Key Exchange": 2
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 62,
          "P-384": 40
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1422": 2,
          "#1435": 1,
          "#1799": 2,
          "#1848": 1,
          "#2060": 1,
          "#2694": 1,
          "#2697": 3,
          "#2713": 3,
          "#2880": 2,
          "#2894": 1,
          "#3530": 2,
          "#3534": 6,
          "#3567": 7,
          "#4284": 1,
          "#4287": 1,
          "#4288": 1,
          "#4320": 1,
          "#5334": 2,
          "#5337": 4,
          "#5386": 3
        }
      },
      "fips_certlike": {
        "Certlike": {
          "#1799 CVL": 2,
          "#1848 CVL": 1,
          "#2060 DRBG": 1,
          "#2880 RSA": 2,
          "#2894 RSA": 1,
          "#3530 HMAC": 2,
          "#3534 HMAC": 2,
          "#3567 HMAC": 3,
          "#4284 SHS": 1,
          "#4287 SHS": 1,
          "#4288 SHS": 1,
          "#4320 SHS": 1,
          "#5334 AES": 2,
          "#5337 AES": 2,
          "#5386 AES": 1,
          "AES CBC 128/192/256": 5,
          "AES Cert. #5337": 2,
          "AES Cert. #5386": 2,
          "AES [197": 5,
          "Cert. #3534 AES": 1,
          "Cert. #3567 AES": 1,
          "HMAC Cert. #3534": 8,
          "HMAC Cert. #3567": 8,
          "HMAC SHA-256": 1,
          "HMAC [198": 7,
          "HMAC-SHA-1": 6,
          "HMAC-SHA-1-96": 4,
          "HMAC-SHA-256": 2,
          "HMAC-SHA-512": 2,
          "RSA 2048": 8,
          "SHA 1, 256": 1,
          "SHA 256": 12,
          "SHA-1": 4,
          "SHA-2-512": 1,
          "SHA-256": 15,
          "SHA-384": 2,
          "SHA-512": 2,
          "SHS [180": 4
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 2": 1
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 1
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 4
          },
          "SHA2": {
            "SHA-256": 17,
            "SHA-384": 1,
            "SHA-512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 9
        },
        "RNG": {
          "RNG": 3
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 7,
          "FIPS PUB 140-2": 1,
          "FIPS140-2": 1
        },
        "NIST": {
          "SP 800-90A": 2
        },
        "RFC": {
          "RFC 2409": 2,
          "RFC 7296": 2,
          "RFC4106": 1,
          "RFC5282": 1,
          "RFC7296": 1
        },
        "X509": {
          "X.509": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 24
          },
          "CAST": {
            "CAST": 1
          }
        },
        "DES": {
          "3DES": {
            "TDEA": 1,
            "Triple-DES": 26
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 22,
            "HMAC-SHA-256": 2
          }
        },
        "miscellaneous": {
          "Blowfish": {
            "Blowfish": 1
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "Triple-DES#2697",
        "KTS#3534",
        "AES#5337",
        "Triple-DES#2694",
        "RSA#2894",
        "ECDSA#1422",
        "CVL#1848",
        "HMAC#3567",
        "SHS#4284",
        "CVL#1799",
        "SHS#4320",
        "RSA#2880",
        "KTS#2697",
        "SHS#4288",
        "Triple-DES#2713",
        "ECDSA#1435",
        "AES#5334",
        "KTS#2713",
        "DRBG#2060",
        "AES#5386",
        "KTS#3567",
        "HMAC#3530",
        "SHS#4287",
        "HMAC#3534"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#2894",
        "#2697",
        "#5334",
        "#2880",
        "#1435",
        "#4287",
        "#1799",
        "#3534",
        "#5386",
        "#1848",
        "#3567",
        "#4288",
        "#3530",
        "#2060",
        "#2713",
        "#4284",
        "#2694",
        "#1422",
        "#4320",
        "#5337"
      ]
    },
    "policy_metadata": {
      "/Author": "Dpitcher",
      "/CreationDate": "D:20190924111740+10\u002700\u0027",
      "/ModDate": "D:20190924111740+10\u002700\u0027",
      "/Producer": "Microsoft: Print To PDF",
      "/Title": "Microsoft Word - Junos 17.4R1 FIPS Security Policy SRX320 (Level 1) 1.4.docx",
      "pdf_file_size_bytes": 928158,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 28
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "a3b2fa597d66e7ed8b6cd23eb39c69d7b6fd8a0695b9a3a2558bb4a54a21b1a6",
      "source_hash": "99aceae8a4b48df5fd6b5c30c4cfa6613e3831adceb412c8453baa0431e74ab0",
      "txt_hash": "262d3d1415d5311c269fc1cbe3fa17496503ee150c1328ce81e403c78fcc9379"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/SeptConsolidated.pdf",
    "date_sunset": null,
    "description": "The Juniper Networks SRX Series Services Gateways are a series of secure routers that provide essential capabilities to connect, secure, and manage work force locations sized from handfuls to hundreds of users. By consolidating fast, highly available switching, routing, security, and applications capabilities in a single device, enterprises can economically deliver new services, safe connectivity, and a satisfying end user experience.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 3",
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "JUNOS 17.4R1-S1",
    "historical_reason": "SP 800-56Arev3 transition",
    "hw_versions": "SRX320",
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Juniper Networks SRX320 Services Gateway with JUNOS 17.4R1-S1",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2019-09-30",
        "lab": "BAE SYSTEMS APPLIED INTELLIGENCE",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Juniper Networks, Inc.",
    "vendor_url": "http://www.juniper.net"
  }
}